package cn.com.qmth.stmms.biz.subjectheader.service;

import cn.com.qmth.stmms.biz.subjectheader.model.RandomLibrary;
import cn.com.qmth.stmms.biz.subjectheader.query.RandomLibrarySearchQuery;

public interface RandomLibraryService {

    RandomLibrary save(RandomLibrary randomLibrary);

    RandomLibrary findById(Integer id);

    void deleteById(Integer id);

    void delete(RandomLibrary randomLibrary);

    RandomLibrarySearchQuery findByQuery(RandomLibrarySearchQuery query);

    /**
     * 抽查试卷
     * 
     * @param examId
     * @param subjectId
     * @param classType
     * @param query
     */
    void randomCheck(Integer examId, String subjectCode, RandomLibrarySearchQuery query);

}
